### Callable

- realpathSync(path: PathLike, options?: object | BufferEncoding | null): string
- realpathSync(path: PathLike, options: object | "buffer"): Buffer
- realpathSync(path: PathLike, options?: object | string | null): string | Buffer

- - Defined in node_modules/@types/node/fs.d.ts:627

  Synchronous realpath(3) - return the canonicalized absolute pathname.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### Optional options: object | BufferEncoding | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns string

- - Defined in node_modules/@types/node/fs.d.ts:634

  Synchronous realpath(3) - return the canonicalized absolute pathname.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### options: object | "buffer"

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns Buffer

- - Defined in node_modules/@types/node/fs.d.ts:641

  Synchronous realpath(3) - return the canonicalized absolute pathname.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### Optional options: object | string | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns string | Buffer

## Index

### Functions

- native

## Functions

### native

- native(path: PathLike, options?: object | BufferEncoding | null): string
- native(path: PathLike, options: object | "buffer"): Buffer
- native(path: PathLike, options?: object | string | null): string | Buffer

- - Defined in node_modules/@types/node/fs.d.ts:644

  #### Parameters

  - ##### path: PathLike

  - ##### Optional options: object | BufferEncoding | null

  #### Returns string

- - Defined in node_modules/@types/node/fs.d.ts:645

  #### Parameters

  - ##### path: PathLike

  - ##### options: object | "buffer"

  #### Returns Buffer

- - Defined in node_modules/@types/node/fs.d.ts:646

  #### Parameters

  - ##### path: PathLike

  - ##### Optional options: object | string | null

  #### Returns string | Buffer

Generated using TypeDoc